using UnityEngine;
using System.Collections.Generic;





[Height(4.0f)]
[Radius(0.6f)]
[DrawColor(77,175,74)]

[Agent]
[MovementBarrier]
[BlocksLight]
[BeamPushes]
[PushesBeam]
public class Block : Entity {	
	public Block(Position pos, Position.Direction facing,  GameState gamestate) : base(pos, facing, gamestate) 
	{
		drawcolorindex = (int)RenderLevel.Pal.Block;
		movertype = Entity.MoverType.Block;
		movesoundtype = SoundPlayer.SoundType.S_Block;
	}			
		
	override public void PreMoveMessage(Entity e, Position.Direction d, MoverType othertype, float delay) 	
	{
		Position targetpos = e.pos+d;
		if (targetpos!=pos)
			return;
		
		TryMove(d,othertype,delay);
	}
	
	public override Entity Clone(GameState gs)
	{
		return new Block(new Position(pos), facing, gs);
	}
}
