using UnityEngine;
using System.Collections.Generic;
using System.Linq;





[Height(8.0f)]
[Radius(0.5f)]

[Agent]
[MovementBarrier]
[BlocksLight]
[BeamPushes]
[PushesBeam]
[OnlyOne]
public class Player : Entity {	
	public Player(Position pos, Position.Direction facing,  GameState gamestate) : base(pos, facing, gamestate) 
	{
		drawcolorindex = (int)RenderLevel.Pal.Player;
		movertype = Entity.MoverType.Player;
		movesoundtype = SoundPlayer.SoundType.S_Player;
	}			
	
	override public void PreMoveMessage(Entity e, Position.Direction d, MoverType othertype, float delay) 	
	{
		Position targetpos = e.pos+d;
		if (targetpos!=pos)
			return;
		
		TryMove(d,othertype,delay);
	}
	
	public override Entity Clone(GameState gs)
	{
		return new Player(new Position(pos), facing,gs);
	}
}
